package com.common.print.bean;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class PrintBean {


    public PrintConfigDTO printConfig;

    public PrintConfigDTO getPrintConfig() {
        return printConfig;
    }

    public void setPrintConfig(PrintConfigDTO printConfig) {
        this.printConfig = printConfig;
    }


    public static class PrintConfigDTO {
        private int printPageType = -1; //打印类型 1-bitmap 2-pdf
        private int printPotency = 5; //打印浓度 1-5
        private int printSpeed = 3; //打印速度1-5
        /**
         * Page_Type_A4_Normal(0),
         * Page_Type_A4_Roll(1),
         * Page_Type_A4_ANSI_A(2),
         * Page_Type_A5_Normal(3),
         * Page_Type_200mm(4),
         * Page_Type_150mm(5),
         * Page_Type_100mm(6),
         * Page_Type_Customize(7);
         */
        private int printContent=0;

        public int getPrintPageType() {
            return printPageType;
        }

        public void setPrintPageType(int printPageType) {
            this.printPageType = printPageType;
        }

        public int getPrintPotency() {
            return printPotency;
        }

        public void setPrintPotency(int printPotency) {
            this.printPotency = printPotency;
        }

        public int getPrintSpeed() {
            return printSpeed;
        }

        public void setPrintSpeed(int printSpeed) {
            this.printSpeed = printSpeed;
        }

        public int getPrintContent() {
            return printContent;
        }

        public void setPrintContent(int printContent) {
            this.printContent = printContent;
        }

        @Override
        public String toString() {
            return "PrintConfigDTO{" +
                    "printPageType=" + printPageType +
                    ", printPotency=" + printPotency +
                    ", printSpeed=" + printSpeed +
                    ", printContent=" + printContent +
                    '}';
        }
    }

}
